org.yaml.snakeyaml

## Enum DumperOptions.LineBreak

- java.lang.Object
- - java.lang.Enum<DumperOptions.LineBreak>
  - - org.yaml.snakeyaml.DumperOptions.LineBreak

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.LineBreak>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.LineBreak
    extends Enum<DumperOptions.LineBreak>

Platform dependent line break.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAC`
`UNIX`
`WIN`

### Method Summary

Methods
`static DumperOptions.LineBreak` `getPlatformLineBreak()`
`String` `getString()`
`String` `toString()`
`static DumperOptions.LineBreak` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.LineBreak[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WIN

    public static final DumperOptions.LineBreak WIN

#### MAC

    public static final DumperOptions.LineBreak MAC

#### UNIX

    public static final DumperOptions.LineBreak UNIX

### Method Detail

#### values

    public static DumperOptions.LineBreak[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumperOptions.LineBreak c : DumperOptions.LineBreak.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumperOptions.LineBreak valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getString

    public String getString()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DumperOptions.LineBreak>`

#### getPlatformLineBreak

    public static DumperOptions.LineBreak getPlatformLineBreak()